Skip to main content
PUT
https://api.dintero.com/v1
/
accounts
/
{aid}
/
payments
/
sessions
/
{session_id}
checkout_session_put
curl --request PUT \
  --url https://api.dintero.com/v1/accounts/{aid}/payments/sessions/{session_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "order": {
    "amount": 72200,
    "currency": "NOK",
    "vat_amount": 13660,
    "merchant_reference_2": "<string>",
    "event_reference": "<string>",
    "shipping_address": {
      "first_name": "John",
      "last_name": "Doe",
      "address_line": "<string>",
      "address_line_2": "<string>",
      "co_address": "Land Lord",
      "business_name": "<string>",
      "postal_code": "0349",
      "postal_place": "Oslo",
      "country": "NO",
      "phone_number": "<string>",
      "email": "<string>",
      "latitude": 123,
      "longitude": 123,
      "comment": "<string>",
      "organization_number": "<string>",
      "organization_type": "<string>",
      "customer_reference": "<string>",
      "cost_center": "<string>"
    },
    "billing_address": {
      "first_name": "John",
      "last_name": "Doe",
      "address_line": "<string>",
      "address_line_2": "<string>",
      "co_address": "Land Lord",
      "business_name": "<string>",
      "postal_code": "0349",
      "postal_place": "Oslo",
      "country": "NO",
      "phone_number": "<string>",
      "email": "<string>",
      "latitude": 123,
      "longitude": 123,
      "comment": "<string>",
      "organization_number": "<string>",
      "organization_type": "<string>",
      "customer_reference": "<string>",
      "cost_center": "<string>"
    },
    "partial_payment": false,
    "items": [
      {
        "amount": 2000,
        "quantity": 2,
        "line_id": "1",
        "description": "Forsvinnignspølse",
        "vat": 20,
        "id": "10"
      },
      {
        "amount": 6600,
        "quantity": 2,
        "line_id": "2",
        "description": "Vissvossafår på neppebrød",
        "vat": 20,
        "id": "6",
        "eligible_for_discount": true,
        "is_changed": true,
        "gross_amount": 10000,
        "discount_lines": [
          {
            "amount": 4400,
            "discount_type": "customer",
            "discount_id": "ed960ace-eb16-4e2e-ae52-b27647ccae8d",
            "description": "Vossafestpris",
            "line_id": 1
          }
        ]
      },
      {
        "amount": 59700,
        "quantity": 3,
        "line_id": "3",
        "description": "Luftboller",
        "vat": 20,
        "id": "1"
      }
    ],
    "discount_lines": [
      {
        "amount": 4400,
        "percentage": 44,
        "discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
        "description": "<string>",
        "line_id": 1
      }
    ],
    "discount_codes": [
      "SUMMER20"
    ],
    "gift_cards": [
      {
        "type": "dintero.wallets",
        "card_id": "<string>",
        "amount": 123,
        "masked_card_token": "<string>"
      }
    ]
  }
}
'
import requests

url = "https://api.dintero.com/v1/accounts/{aid}/payments/sessions/{session_id}"

payload = { "order": {
"amount": 72200,
"currency": "NOK",
"vat_amount": 13660,
"merchant_reference_2": "<string>",
"event_reference": "<string>",
"shipping_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "<string>",
"address_line_2": "<string>",
"co_address": "Land Lord",
"business_name": "<string>",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"latitude": 123,
"longitude": 123,
"comment": "<string>",
"organization_number": "<string>",
"organization_type": "<string>",
"customer_reference": "<string>",
"cost_center": "<string>"
},
"billing_address": {
"first_name": "John",
"last_name": "Doe",
"address_line": "<string>",
"address_line_2": "<string>",
"co_address": "Land Lord",
"business_name": "<string>",
"postal_code": "0349",
"postal_place": "Oslo",
"country": "NO",
"phone_number": "<string>",
"email": "<string>",
"latitude": 123,
"longitude": 123,
"comment": "<string>",
"organization_number": "<string>",
"organization_type": "<string>",
"customer_reference": "<string>",
"cost_center": "<string>"
},
"partial_payment": False,
"items": [
{
"amount": 2000,
"quantity": 2,
"line_id": "1",
"description": "Forsvinnignspølse",
"vat": 20,
"id": "10"
},
{
"amount": 6600,
"quantity": 2,
"line_id": "2",
"description": "Vissvossafår på neppebrød",
"vat": 20,
"id": "6",
"eligible_for_discount": True,
"is_changed": True,
"gross_amount": 10000,
"discount_lines": [
{
"amount": 4400,
"discount_type": "customer",
"discount_id": "ed960ace-eb16-4e2e-ae52-b27647ccae8d",
"description": "Vossafestpris",
"line_id": 1
}
]
},
{
"amount": 59700,
"quantity": 3,
"line_id": "3",
"description": "Luftboller",
"vat": 20,
"id": "1"
}
],
"discount_lines": [
{
"amount": 4400,
"percentage": 44,
"discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
"description": "<string>",
"line_id": 1
}
],
"discount_codes": ["SUMMER20"],
"gift_cards": [
{
"type": "dintero.wallets",
"card_id": "<string>",
"amount": 123,
"masked_card_token": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
amount: 72200,
currency: 'NOK',
vat_amount: 13660,
merchant_reference_2: '<string>',
event_reference: '<string>',
shipping_address: {
first_name: 'John',
last_name: 'Doe',
address_line: '<string>',
address_line_2: '<string>',
co_address: 'Land Lord',
business_name: '<string>',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
latitude: 123,
longitude: 123,
comment: '<string>',
organization_number: '<string>',
organization_type: '<string>',
customer_reference: '<string>',
cost_center: '<string>'
},
billing_address: {
first_name: 'John',
last_name: 'Doe',
address_line: '<string>',
address_line_2: '<string>',
co_address: 'Land Lord',
business_name: '<string>',
postal_code: '0349',
postal_place: 'Oslo',
country: 'NO',
phone_number: '<string>',
email: '<string>',
latitude: 123,
longitude: 123,
comment: '<string>',
organization_number: '<string>',
organization_type: '<string>',
customer_reference: '<string>',
cost_center: '<string>'
},
partial_payment: false,
items: [
{
amount: 2000,
quantity: 2,
line_id: '1',
description: 'Forsvinnignspølse',
vat: 20,
id: '10'
},
{
amount: 6600,
quantity: 2,
line_id: '2',
description: 'Vissvossafår på neppebrød',
vat: 20,
id: '6',
eligible_for_discount: true,
is_changed: true,
gross_amount: 10000,
discount_lines: [
{
amount: 4400,
discount_type: 'customer',
discount_id: 'ed960ace-eb16-4e2e-ae52-b27647ccae8d',
description: 'Vossafestpris',
line_id: 1
}
]
},
{
amount: 59700,
quantity: 3,
line_id: '3',
description: 'Luftboller',
vat: 20,
id: '1'
}
],
discount_lines: [
{
amount: 4400,
percentage: 44,
discount_id: '766da0ef-9283-42bd-b012-0582344ec53c',
description: '<string>',
line_id: 1
}
],
discount_codes: ['SUMMER20'],
gift_cards: [
{
type: 'dintero.wallets',
card_id: '<string>',
amount: 123,
masked_card_token: '<string>'
}
]
}
})
};

fetch('https://api.dintero.com/v1/accounts/{aid}/payments/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.dintero.com/v1/accounts/{aid}/payments/sessions/{session_id}"

payload := strings.NewReader("{\n \"order\": {\n \"amount\": 72200,\n \"currency\": \"NOK\",\n \"vat_amount\": 13660,\n \"merchant_reference_2\": \"<string>\",\n \"event_reference\": \"<string>\",\n \"shipping_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n },\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n },\n \"partial_payment\": false,\n \"items\": [\n {\n \"amount\": 2000,\n \"quantity\": 2,\n \"line_id\": \"1\",\n \"description\": \"Forsvinnignspølse\",\n \"vat\": 20,\n \"id\": \"10\"\n },\n {\n \"amount\": 6600,\n \"quantity\": 2,\n \"line_id\": \"2\",\n \"description\": \"Vissvossafår på neppebrød\",\n \"vat\": 20,\n \"id\": \"6\",\n \"eligible_for_discount\": true,\n \"is_changed\": true,\n \"gross_amount\": 10000,\n \"discount_lines\": [\n {\n \"amount\": 4400,\n \"discount_type\": \"customer\",\n \"discount_id\": \"ed960ace-eb16-4e2e-ae52-b27647ccae8d\",\n \"description\": \"Vossafestpris\",\n \"line_id\": 1\n }\n ]\n },\n {\n \"amount\": 59700,\n \"quantity\": 3,\n \"line_id\": \"3\",\n \"description\": \"Luftboller\",\n \"vat\": 20,\n \"id\": \"1\"\n }\n ],\n \"discount_lines\": [\n {\n \"amount\": 4400,\n \"percentage\": 44,\n \"discount_id\": \"766da0ef-9283-42bd-b012-0582344ec53c\",\n \"description\": \"<string>\",\n \"line_id\": 1\n }\n ],\n \"discount_codes\": [\n \"SUMMER20\"\n ],\n \"gift_cards\": [\n {\n \"type\": \"dintero.wallets\",\n \"card_id\": \"<string>\",\n \"amount\": 123,\n \"masked_card_token\": \"<string>\"\n }\n ]\n }\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.put("https://api.dintero.com/v1/accounts/{aid}/payments/sessions/{session_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"order\": {\n \"amount\": 72200,\n \"currency\": \"NOK\",\n \"vat_amount\": 13660,\n \"merchant_reference_2\": \"<string>\",\n \"event_reference\": \"<string>\",\n \"shipping_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n },\n \"billing_address\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"address_line\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"co_address\": \"Land Lord\",\n \"business_name\": \"<string>\",\n \"postal_code\": \"0349\",\n \"postal_place\": \"Oslo\",\n \"country\": \"NO\",\n \"phone_number\": \"<string>\",\n \"email\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123,\n \"comment\": \"<string>\",\n \"organization_number\": \"<string>\",\n \"organization_type\": \"<string>\",\n \"customer_reference\": \"<string>\",\n \"cost_center\": \"<string>\"\n },\n \"partial_payment\": false,\n \"items\": [\n {\n \"amount\": 2000,\n \"quantity\": 2,\n \"line_id\": \"1\",\n \"description\": \"Forsvinnignspølse\",\n \"vat\": 20,\n \"id\": \"10\"\n },\n {\n \"amount\": 6600,\n \"quantity\": 2,\n \"line_id\": \"2\",\n \"description\": \"Vissvossafår på neppebrød\",\n \"vat\": 20,\n \"id\": \"6\",\n \"eligible_for_discount\": true,\n \"is_changed\": true,\n \"gross_amount\": 10000,\n \"discount_lines\": [\n {\n \"amount\": 4400,\n \"discount_type\": \"customer\",\n \"discount_id\": \"ed960ace-eb16-4e2e-ae52-b27647ccae8d\",\n \"description\": \"Vossafestpris\",\n \"line_id\": 1\n }\n ]\n },\n {\n \"amount\": 59700,\n \"quantity\": 3,\n \"line_id\": \"3\",\n \"description\": \"Luftboller\",\n \"vat\": 20,\n \"id\": \"1\"\n }\n ],\n \"discount_lines\": [\n {\n \"amount\": 4400,\n \"percentage\": 44,\n \"discount_id\": \"766da0ef-9283-42bd-b012-0582344ec53c\",\n \"description\": \"<string>\",\n \"line_id\": 1\n }\n ],\n \"discount_codes\": [\n \"SUMMER20\"\n ],\n \"gift_cards\": [\n {\n \"type\": \"dintero.wallets\",\n \"card_id\": \"<string>\",\n \"amount\": 123,\n \"masked_card_token\": \"<string>\"\n }\n ]\n }\n}")
.asString();
{
  "url": {
    "return_url": "https://example.com/accept",
    "callback_url": "https://example.com/callback?method=GET",
    "merchant_terms_url": "https://example.com/terms.html"
  },
  "order": {
    "amount": 72200,
    "currency": "NOK",
    "merchant_reference": "<string>",
    "vat_amount": 13660,
    "merchant_reference_2": "<string>",
    "event_reference": "<string>",
    "shipping_address": {
      "first_name": "John",
      "last_name": "Doe",
      "address_line": "<string>",
      "address_line_2": "<string>",
      "co_address": "Land Lord",
      "business_name": "<string>",
      "postal_code": "0349",
      "postal_place": "Oslo",
      "country": "NO",
      "phone_number": "<string>",
      "email": "<string>",
      "latitude": 123,
      "longitude": 123,
      "comment": "<string>",
      "organization_number": "<string>",
      "organization_type": "<string>",
      "customer_reference": "<string>",
      "cost_center": "<string>"
    },
    "billing_address": {
      "first_name": "John",
      "last_name": "Doe",
      "address_line": "<string>",
      "address_line_2": "<string>",
      "co_address": "Land Lord",
      "business_name": "<string>",
      "postal_code": "0349",
      "postal_place": "Oslo",
      "country": "NO",
      "phone_number": "<string>",
      "email": "<string>",
      "latitude": 123,
      "longitude": 123,
      "comment": "<string>",
      "organization_number": "<string>",
      "organization_type": "<string>",
      "customer_reference": "<string>",
      "cost_center": "<string>"
    },
    "partial_payment": false,
    "items": [
      {
        "amount": 2000,
        "quantity": 2,
        "line_id": "1",
        "description": "Forsvinnignspølse",
        "vat": 20,
        "id": "10"
      },
      {
        "amount": 6600,
        "quantity": 2,
        "line_id": "2",
        "description": "Vissvossafår på neppebrød",
        "vat": 20,
        "id": "6",
        "eligible_for_discount": true,
        "is_changed": true,
        "gross_amount": 10000,
        "discount_lines": [
          {
            "amount": 4400,
            "discount_type": "customer",
            "discount_id": "ed960ace-eb16-4e2e-ae52-b27647ccae8d",
            "description": "Vossafestpris",
            "line_id": 1
          }
        ]
      },
      {
        "amount": 59700,
        "quantity": 3,
        "line_id": "3",
        "description": "Luftboller",
        "vat": 20,
        "id": "1"
      }
    ],
    "gross_amount": 123,
    "is_changed": true,
    "shipping_option": {
      "id": "bring-pick-up-00001",
      "line_id": "bring-pick-up-00001-location-0a1f6b",
      "amount": 3900,
      "title": "Standard",
      "operator": "Bring",
      "countries": [
        "NO"
      ],
      "vat_amount": 975,
      "vat": 25,
      "description": "Pick up at your nearest postal office",
      "delivery_method": "pick_up",
      "operator_product_id": "pick-up-00001-location-0a1f6b",
      "eta": {
        "working_days": [
          1,
          2
        ],
        "shipping_day_of_week": 3,
        "arrival_day_of_week": 3,
        "starts_at": "2020-10-14T19:00:00Z",
        "ends_at": "2020-10-14T20:00:00Z"
      },
      "time_slot": {
        "starts_at": "2020-10-14T19:00:00Z",
        "ends_at": "2020-10-14T20:00:00Z"
      },
      "pick_up_address": {
        "first_name": "John",
        "last_name": "Doe",
        "address_line": "<string>",
        "address_line_2": "<string>",
        "co_address": "Land Lord",
        "business_name": "<string>",
        "postal_code": "0349",
        "postal_place": "Oslo",
        "country": "NO",
        "phone_number": "<string>",
        "email": "<string>",
        "latitude": 123,
        "longitude": 123,
        "comment": "<string>",
        "organization_number": "<string>",
        "organization_type": "<string>",
        "customer_reference": "<string>",
        "cost_center": "<string>",
        "website_url": "<string>",
        "opening_hours": {
          "open_now": true,
          "periods": [
            {
              "opens_at": "08:00",
              "closes_at": "16:00",
              "day_of_week": 1
            }
          ],
          "timezone": "Europe/Oslo"
        },
        "distance": 123
      },
      "metadata": {
        "operator_dest": "XAB1239",
        "number_x": 1921
      },
      "environmental_data": {
        "description": "Fossil free",
        "details": [
          {
            "label": "Carbon offset",
            "value": "1KG CO2"
          }
        ]
      },
      "thumbnail_url": "<string>",
      "pay_in_store": {
        "type": "full"
      },
      "fee_split": {
        "type": "proportional",
        "destinations": [
          "<string>"
        ]
      },
      "splits": [
        {
          "payout_destination_id": "seller-1",
          "amount": 29700
        }
      ],
      "shipments": [
        {
          "id": "bring-pick-up-00001",
          "line_id": "bring-pick-up-00001-location-0a1f6b",
          "amount": 3900,
          "title": "Standard",
          "operator": "Bring",
          "countries": [
            "NO"
          ],
          "vat_amount": 975,
          "vat": 25,
          "description": "Pick up at your nearest postal office",
          "delivery_method": "pick_up",
          "operator_product_id": "pick-up-00001-location-0a1f6b",
          "eta": {
            "working_days": [
              1,
              2
            ],
            "shipping_day_of_week": 3,
            "arrival_day_of_week": 3,
            "starts_at": "2020-10-14T19:00:00Z",
            "ends_at": "2020-10-14T20:00:00Z"
          },
          "time_slot": {
            "starts_at": "2020-10-14T19:00:00Z",
            "ends_at": "2020-10-14T20:00:00Z"
          },
          "pick_up_address": {
            "first_name": "John",
            "last_name": "Doe",
            "address_line": "<string>",
            "address_line_2": "<string>",
            "co_address": "Land Lord",
            "business_name": "<string>",
            "postal_code": "0349",
            "postal_place": "Oslo",
            "country": "NO",
            "phone_number": "<string>",
            "email": "<string>",
            "latitude": 123,
            "longitude": 123,
            "comment": "<string>",
            "organization_number": "<string>",
            "organization_type": "<string>",
            "customer_reference": "<string>",
            "cost_center": "<string>",
            "website_url": "<string>",
            "opening_hours": {
              "open_now": true,
              "periods": [
                {
                  "opens_at": "08:00",
                  "closes_at": "16:00",
                  "day_of_week": 1
                }
              ],
              "timezone": "Europe/Oslo"
            },
            "distance": 123
          },
          "metadata": {
            "operator_dest": "XAB1239",
            "number_x": 1921
          },
          "environmental_data": {
            "description": "Fossil free",
            "details": [
              {
                "label": "Carbon offset",
                "value": "1KG CO2"
              }
            ]
          },
          "thumbnail_url": "<string>",
          "pay_in_store": {
            "type": "full"
          },
          "fee_split": {
            "type": "proportional",
            "destinations": [
              "<string>"
            ]
          },
          "splits": [
            {
              "payout_destination_id": "seller-1",
              "amount": 29700
            }
          ],
          "shipment_id": "<string>",
          "shipment_items": [
            {
              "line_id": "line-id-1",
              "quantity": 123
            }
          ]
        }
      ]
    },
    "store": {
      "id": "sc029",
      "name": "SC Oslo",
      "business_name": "SC Oslo AS",
      "address": {
        "address_line": "Sommerkroveien 34",
        "postal_place": "Oslo",
        "country": "NO",
        "address_line_2": "PB 123",
        "postal_code": "0349"
      },
      "chain": "SuperChain",
      "email": "contact@superchain.com",
      "gln": "5790001398644",
      "organization_number": "123456789MVA",
      "phone_number": "+4738260107",
      "mcc": "5814",
      "bax": "102603",
      "terminal_id": "T0292",
      "payout_destination_id": "seller-1"
    },
    "discount_lines": [
      {
        "amount": 4400,
        "percentage": 44,
        "discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
        "description": "<string>",
        "line_id": 1
      }
    ],
    "discount_codes": [
      "SUMMER20"
    ],
    "gift_cards": [
      {
        "type": "dintero.wallets",
        "card_id": "<string>",
        "amount": 123,
        "masked_card_token": "<string>"
      }
    ],
    "payout_destination_id": "<string>"
  },
  "configuration": {
    "auto_capture": true,
    "channel": "ecommerce",
    "publish": [
      {
        "id": "<string>"
      }
    ],
    "active_payment_types": {
      "enabled": true
    },
    "bambora": {
      "type": "payment_type",
      "applepay": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "creditcard": {
        "enabled": true,
        "type": "payment_product_type",
        "generate_payment_token": false
      },
      "googlepay": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "mobilepay": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "vipps": {
        "enabled": true,
        "type": "payment_product_type"
      }
    },
    "dintero": {
      "type": "payment_type",
      "wallets": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "zero": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "external": {
        "enabled": true,
        "display": {
          "payment_method_label": "<string>",
          "button_label": "<string>",
          "content": {
            "title": "<string>",
            "description": "<string>"
          },
          "terms": [
            {
              "ref": "<string>",
              "label": "<string>",
              "href": "<string>"
            }
          ]
        },
        "type": "payment_product_type"
      }
    },
    "dintero_psp": {
      "type": "payment_type",
      "creditcard": {
        "enabled": true,
        "type": "payment_product_type",
        "generate_payment_token": false,
        "token_supported_auth_methods": [
          "PASSKEY",
          "3DS"
        ],
        "sca_policy": {
          "network_exemptions": {
            "low_value": true,
            "low_risk": true
          },
          "liability_rules": [
            {
              "type": "amount_lte",
              "limit": [
                {
                  "amount": 50000,
                  "currency": "NOK"
                }
              ],
              "issuer_countries": [
                "NO",
                "SE",
                "DK"
              ],
              "enabled": true
            }
          ]
        },
        "generate_payment_token_config": {}
      },
      "vipps": {
        "enabled": true,
        "type": "payment_product_type",
        "sca_policy": {
          "network_exemptions": {
            "low_value": true,
            "low_risk": true
          },
          "liability_rules": [
            {
              "type": "amount_lte",
              "limit": [
                {
                  "amount": 50000,
                  "currency": "NOK"
                }
              ],
              "issuer_countries": [
                "NO",
                "SE",
                "DK"
              ],
              "enabled": true
            }
          ]
        }
      },
      "applepay": {
        "enabled": true,
        "type": "payment_product_type",
        "sca_policy": {
          "network_exemptions": {
            "low_value": true,
            "low_risk": true
          },
          "liability_rules": [
            {
              "type": "amount_lte",
              "limit": [
                {
                  "amount": 50000,
                  "currency": "NOK"
                }
              ],
              "issuer_countries": [
                "NO",
                "SE",
                "DK"
              ],
              "enabled": true
            }
          ]
        },
        "details": {
          "domain_names": [
            "example.dintero.com"
          ],
          "token_event_notification_url": "<string>"
        }
      },
      "googlepay": {
        "enabled": true,
        "type": "payment_product_type",
        "sca_policy": {
          "network_exemptions": {
            "low_value": true,
            "low_risk": true
          },
          "liability_rules": [
            {
              "type": "amount_lte",
              "limit": [
                {
                  "amount": 50000,
                  "currency": "NOK"
                }
              ],
              "issuer_countries": [
                "NO",
                "SE",
                "DK"
              ],
              "enabled": true
            }
          ]
        },
        "generate_payment_token": false
      },
      "clicktopay": {
        "enabled": true,
        "type": "payment_product_type",
        "generate_payment_token": false,
        "sca_policy": {
          "network_exemptions": {
            "low_value": true,
            "low_risk": true
          },
          "liability_rules": [
            {
              "type": "amount_lte",
              "limit": [
                {
                  "amount": 50000,
                  "currency": "NOK"
                }
              ],
              "issuer_countries": [
                "NO",
                "SE",
                "DK"
              ],
              "enabled": true
            }
          ]
        }
      }
    },
    "instabank": {
      "finance": {
        "enabled": true,
        "product": {
          "product_code": "630",
          "minimum_monthly_balance_rate": "1.67",
          "origination_fee": 9500,
          "notification_fee": 3900,
          "loan_example": {
            "amount": 2500000,
            "years": 1,
            "total_amount": 2772300,
            "cost": 272300,
            "effective_annual_interest_rate": "21.38"
          },
          "annual_interest_rate": "0.0",
          "effective_annual_interest_rate": "0.0",
          "minimum_amount": 20000,
          "branding_image_url": "<string>"
        }
      },
      "invoice": {
        "enabled": true,
        "require_applicant": true,
        "product": {
          "product_code": "632",
          "due_in_days": 10,
          "invoice_fee": 9500,
          "require_applicant_amount": 7500000,
          "minimum_amount": 20000,
          "branding_image_url": "<string>"
        }
      },
      "installment": {
        "enabled": true,
        "type": "payment_product_type",
        "products": [
          {
            "product_code": "633",
            "credit_time": 36,
            "origination_fee": 9500,
            "notification_fee": 3900,
            "annual_interest_rate": "0.0",
            "minimum_amount": 20000,
            "effective_annual_interest_rate": "54.69",
            "total_amount": 309400,
            "monthly_amount": 100000,
            "first_monthly_amount": 109500,
            "require_applicant_amount": 2500000,
            "loan_example": {
              "amount": 2500000,
              "years": 1,
              "total_amount": 2772300,
              "cost": 272300,
              "effective_annual_interest_rate": "21.38"
            },
            "branding_image_url": "<string>"
          }
        ]
      },
      "postponement": {
        "enabled": true,
        "type": "payment_product_type",
        "products": [
          {
            "product_code": "633",
            "postponement_months": 36,
            "origination_fee": 9500,
            "annual_interest_rate": "0.0",
            "minimum_amount": 20000,
            "notification_fee": 3900,
            "effective_annual_interest_rate": "54.69",
            "total_amount": 309400,
            "require_applicant_amount": 2500000,
            "loan_example": {
              "amount": 2500000,
              "years": 1,
              "total_amount": 2772300,
              "cost": 272300,
              "effective_annual_interest_rate": "21.38"
            },
            "branding_image_url": "<string>"
          }
        ]
      }
    },
    "netaxept": {
      "type": "payment_type",
      "creditcard": {
        "enabled": true,
        "type": "payment_product_type",
        "terminal": {
          "terminal_single_page": true,
          "terminal_design": "<string>",
          "terminal_layout": "<string>"
        }
      }
    },
    "payex": {
      "dynamic_descriptor": "<string>",
      "swish": {
        "enabled": true
      },
      "creditcard": {
        "enabled": true,
        "generate_payment_token": false,
        "generate_recurrence_token": false,
        "no_cvc": true
      },
      "mobilepay": {
        "enabled": true
      },
      "vipps": {
        "enabled": true
      },
      "applepay": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "clicktopay": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "googlepay": {
        "enabled": true,
        "type": "payment_product_type"
      }
    },
    "vipps": {
      "enabled": true,
      "dynamic_descriptor": "<string>"
    },
    "collector": {
      "type": "payment_type",
      "dynamic_descriptor": "<string>",
      "invoice": {
        "enabled": true,
        "type": "payment_product_type",
        "countries": [
          "<string>"
        ],
        "options": {
          "enable_on_hold": true
        }
      },
      "invoice_b2b": {
        "enabled": true,
        "type": "payment_product_type",
        "countries": [
          "<string>"
        ],
        "options": {
          "disable_collector_b2b_address_enforcement": false,
          "enable_on_hold": true
        }
      },
      "invoice_b2b_preapproved": {
        "enabled": true,
        "type": "payment_product_type",
        "countries": [
          "<string>"
        ],
        "accounts": [
          {
            "billing_address": {
              "business_name": "<string>",
              "organization_number": "<string>",
              "address_line": "<string>",
              "postal_code": "0349",
              "postal_place": "Oslo",
              "country": "NO",
              "phone_number": "<string>",
              "email": "<string>",
              "address_line_2": "<string>",
              "co_address": "<string>",
              "customer_reference": "<string>",
              "cost_center": "<string>",
              "first_name": "John",
              "last_name": "Doe",
              "address_id": "address_1"
            },
            "company_id": "<string>"
          }
        ]
      },
      "finance": {
        "enabled": true,
        "type": "payment_product_type",
        "countries": [
          "<string>"
        ]
      },
      "installment": {
        "enabled": true,
        "type": "payment_product_type",
        "countries": [
          "<string>"
        ],
        "options": {
          "enable_on_hold": true
        }
      }
    },
    "klarna": {
      "type": "payment_type",
      "klarna": {
        "enabled": true,
        "type": "payment_product_type"
      },
      "billie": {
        "enabled": true,
        "type": "payment_product_type"
      }
    },
    "kravia": {
      "type": "payment_type",
      "invoice_b2b": {
        "enabled": true,
        "type": "payment_product_type",
        "days_until_due": 182,
        "require_identity_verification": true,
        "invoice_channel": "kravia"
      },
      "invoice_b2b_grouped": {
        "enabled": true,
        "type": "payment_product_type",
        "invoice_schedule": {},
        "days_until_due": 182.5,
        "require_identity_verification": true,
        "invoice_channel": "kravia"
      },
      "invoice_b2c": {
        "enabled": true,
        "type": "payment_product_type",
        "days_until_due": 182,
        "invoice_channel": "kravia",
        "require_identity_verification": true
      }
    },
    "two": {
      "type": "payment_type",
      "invoice_b2b": {
        "enabled": true,
        "type": "payment_product_type"
      }
    },
    "santander": {
      "type": "payment_type",
      "debit_account": {
        "enabled": true,
        "type": "payment_product_type",
        "branding_name": "<string>",
        "accounts": [
          {
            "account_number_token": "<string>",
            "masked_account_number": "<string>"
          }
        ]
      }
    },
    "seitatech": {
      "type": "payment_type",
      "in_person": {
        "enabled": true,
        "type": "payment_product_type"
      }
    },
    "swish": {
      "type": "payment_type",
      "swish": {
        "enabled": true,
        "type": "payment_product_type",
        "payout_enabled": true
      }
    },
    "payout": {
      "dynamic_payout_destination_ids": [
        {
          "order_store_id": "STORE_123",
          "order_payout_destination_id": "PD_123",
          "overwrite_payout_destination_id": false
        }
      ],
      "payment_products": [
        {}
      ]
    },
    "allow_express_wallet_payment": false,
    "age_verification": {
      "enabled": true,
      "minimum_age_required": 18
    },
    "discounts": {
      "type": "discounts",
      "express_discount_codes": {
        "enabled": true
      },
      "order": {
        "enabled": false
      }
    },
    "theme": {
      "backdrop": "<string>",
      "primary": "<string>",
      "cardRadius": "<string>",
      "buttonRadius": "<string>"
    },
    "countries": {
      "preferred_country": "<string>",
      "allow_countries": [
        "<string>"
      ],
      "deny_countries": [
        "<string>"
      ]
    },
    "allow_different_billing_shipping_address": [],
    "merchant": {
      "id": null,
      "logo_url": "<string>",
      "name": "TKP tech AS",
      "country": "NO"
    }
  },
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "customer": {
    "customer_id": "<string>",
    "email": "john.doe@example.com",
    "phone_number": "+4799999999",
    "my_dintero": {
      "actions": [],
      "terms": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "https://example.com/toc"
      }
    },
    "gift_cards": {
      "dintero.wallets": [
        {
          "card_id": "<string>",
          "masked_card_token": "<string>"
        }
      ]
    },
    "tokens": {
      "payex.creditcard": {
        "payment_token_id": "2134a260d196b1d65e59b259dc43f619d7f0f3c6"
      },
      "bambora.creditcard": {
        "payment_token_id": "2134a260d196b1d65e59b259dc43f619d7f0f3c6"
      },
      "dintero_psp.creditcard": {
        "payment_token_id": "2134a260d196b1d65e59b259dc43f619d7f0f3c6"
      }
    }
  },
  "expires_at": "2023-11-07T05:31:56Z",
  "checkboxes": [
    {
      "id": "<string>",
      "label": "<string>",
      "checked": true,
      "required": true,
      "link": {
        "url": "<string>",
        "text": "Terms for checkbox action"
      }
    }
  ],
  "express": {
    "shipping_options": [
      {
        "id": "bring-pick-up-00001",
        "line_id": "bring-pick-up-00001-location-0a1f6b",
        "amount": 3900,
        "title": "Standard",
        "operator": "Bring",
        "countries": [
          "NO"
        ],
        "vat_amount": 975,
        "vat": 25,
        "description": "Pick up at your nearest postal office",
        "delivery_method": "pick_up",
        "operator_product_id": "pick-up-00001-location-0a1f6b",
        "eta": {
          "working_days": [
            1,
            2
          ],
          "shipping_day_of_week": 3,
          "arrival_day_of_week": 3,
          "starts_at": "2020-10-14T19:00:00Z",
          "ends_at": "2020-10-14T20:00:00Z"
        },
        "time_slot": {
          "starts_at": "2020-10-14T19:00:00Z",
          "ends_at": "2020-10-14T20:00:00Z"
        },
        "pick_up_address": {
          "first_name": "John",
          "last_name": "Doe",
          "address_line": "<string>",
          "address_line_2": "<string>",
          "co_address": "Land Lord",
          "business_name": "<string>",
          "postal_code": "0349",
          "postal_place": "Oslo",
          "country": "NO",
          "phone_number": "<string>",
          "email": "<string>",
          "latitude": 123,
          "longitude": 123,
          "comment": "<string>",
          "organization_number": "<string>",
          "organization_type": "<string>",
          "customer_reference": "<string>",
          "cost_center": "<string>",
          "website_url": "<string>",
          "opening_hours": {
            "open_now": true,
            "periods": [
              {
                "opens_at": "08:00",
                "closes_at": "16:00",
                "day_of_week": 1
              }
            ],
            "timezone": "Europe/Oslo"
          },
          "distance": 123
        },
        "metadata": {
          "operator_dest": "XAB1239",
          "number_x": 1921
        },
        "environmental_data": {
          "description": "Fossil free",
          "details": [
            {
              "label": "Carbon offset",
              "value": "1KG CO2"
            }
          ]
        },
        "thumbnail_url": "<string>",
        "pay_in_store": {
          "type": "full"
        },
        "fee_split": {
          "type": "proportional",
          "destinations": [
            "<string>"
          ]
        },
        "splits": [
          {
            "payout_destination_id": "seller-1",
            "amount": 29700
          }
        ],
        "shipment_id": "<string>",
        "shipment_items": [
          {
            "line_id": "line-id-1",
            "quantity": 123
          }
        ]
      }
    ],
    "shipping_mode": "shipping_required",
    "discount_codes": {
      "max_count": 123,
      "callback_url": "https://example.com/order/00128110/discount_codes_updated"
    },
    "shipping_address_callback_url": "https://example.com/order/00128110/address_updated",
    "customer_types": [
      "b2c",
      "b2b"
    ],
    "default_different_billing_shipping_address": []
  },
  "updated_at": "2023-11-07T05:31:56Z",
  "customer_ip": "<string>",
  "user_agent": "<string>",
  "initiating_system_request_headers": {
    "dintero-system-name": "woocommerce",
    "dintero-system-version": "5.0.0",
    "dintero-system-plugin-name": "Dintero.Checkout.WooCommerce",
    "dintero-system-plugin-version": "2021.03.02",
    "user-agent": "Mozilla: Mozilla/5.0"
  },
  "events": [
    {
      "id": "769952fe-86c9-4185-a1ce-aeb46da3509c",
      "name": "INITIATED",
      "created_at": "2019-05-09T09:13:40.306Z",
      "request_id": "b97b6312-f8b3-11ed-be56-0242ac120002"
    },
    {
      "name": "VISITED",
      "created_at": "2019-05-09T09:13:50.548Z"
    },
    {
      "name": "PAY_FAILED",
      "created_at": "2019-05-09T09:14:10.548Z",
      "details": {
        "error": "Rejected",
        "payment_product_type": "instabank.finance"
      }
    },
    {
      "name": "FAILED",
      "created_at": "2019-05-09T09:16:11.786Z"
    }
  ],
  "transaction_id": "<string>",
  "metadata": {
    "session:profile_id": "<string>"
  },
  "cancelled_by": "<string>",
  "cancelled_at": "2023-11-07T05:31:56Z"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Headers

Dintero-Feature-Toggles
enum<string>[]

Feature toggles that will change how the API works.

These feature toggles are usually the preferred way to use the API, but they break the current API.

  • strict-session-amounts: order.amount must equal the sum of amounts in order.items + order.shipping_option.amount when creating sessions
Available options:
strict-session-amounts
Dintero-System-Name
string

The name of the ecommerce solution

Example: woocommerce

Maximum string length: 120
Dintero-System-Version
string

The version number of the ecommerce solution

Example: 5.4

Maximum string length: 120
Dintero-System-Plugin-Name
string

The name of the ecommerce plugin

Example: Dintero.Checkout.WooCommerce

Maximum string length: 120
Dintero-System-Plugin-Version
string

The version number of the ecommerce plugin

Example: 2.3.4

Maximum string length: 120

Path Parameters

session_id
string<checkout-id>
required

The session ID

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

force_shipping_address_callback
boolean
default:false

If express.shipping_options is set, there will not be a callback to shipping_address_callback_url, unless force_shipping_address_callback is also set.

If express.shipping_options is not set, there will be a callback to shipping_address_callback_url.

update_without_lock
boolean
default:false

Allow updating session without it having been locked first.

Allowed for server-to-server when the checkout has not been rendered yet.

Body

application/json
order
object
required
express
object
remove_lock
boolean
default:true

Remove lock after updating

Response

checkout session

url
object
required
order
object
required
configuration
object
required
id
string

The ID of the Checkout

created_at
string<date-time>

Time when the Checkout was created

customer
object
expires_at
string<date-time>

The session expiration time after which the Checkout page wouldn't be available

checkboxes
object[]

Configuration for checkboxes that should be part of the checkout

Maximum array length: 2
express
object

Present only for Express Checkout sessions.

An Express Checkout session is a session where the end user will submit a shipping address and then select a shipping option before the before a payment method is selected and the payment is initiated.

Endpoints used in the Express Checkout flow.

  1. Set shipping address
  2. Set shipping option
updated_at
string<date-time>

Last time when the Checkout was updated

customer_ip
string

The IP of the customer upon visiting the page. If the page is visited multiple times, the field is always updated with the last known value.

user_agent
string

The full user agent of the device the customer used when visiting the checkout page

initiating_system_request_headers
object
payment_operation
enum<string>

Initiated by the merchant or used to generate a token

Available options:
unscheduled_purchase,
recurring_purchase,
generate_payment_token
events
object[]

Checkout process events

Example:
[
{
"id": "769952fe-86c9-4185-a1ce-aeb46da3509c",
"name": "INITIATED",
"created_at": "2019-05-09T09:13:40.306Z",
"request_id": "b97b6312-f8b3-11ed-be56-0242ac120002"
},
{
"name": "VISITED",
"created_at": "2019-05-09T09:13:50.548Z"
},
{
"name": "PAY_FAILED",
"created_at": "2019-05-09T09:14:10.548Z",
"details": {
"error": "Rejected",
"payment_product_type": "instabank.finance"
}
},
{
"name": "FAILED",
"created_at": "2019-05-09T09:16:11.786Z"
}
]
transaction_id
string

Transaction which has been created using the checkout.

metadata
object

metadata about the session

cancelled_by
string
cancelled_at
string<date-time>

The date-time when the resource was cancelled

Last modified on July 8, 2026